import * as React from 'react';
import { ScrollView } from 'react-native';
import { Card, Title, Paragraph, Text, Dialog } from 'react-native-paper';

const Privacy = () => {
    return (
        <Dialog.Content style={{ maxHeight: 300 }}>
            <ScrollView style={{ padding: 16 }}>
                <Card style={{ marginBottom: 16 }}>
                    <Card.Content>
                        <Title style={{ fontSize: 20, marginBottom: 8 }}>Privacy Policy</Title>
                        <Paragraph style={{ fontSize: 16 }}>
                            <Text style={{ fontStyle: 'italic' }}>Effective Date: 4/1/25</Text>
                        </Paragraph>
                        <Paragraph style={{ fontSize: 16 }}>
                            Thank you for using <Text style={{ fontWeight: 'bold' }}>Pogdark</Text> ("we", "our", or "us"). We are committed to protecting your privacy. This Privacy Policy explains how we handle your information when you use our application.
                        </Paragraph>
                    </Card.Content>
                </Card>

                <Card style={{ marginBottom: 16 }}>
                    <Card.Content>
                        <Title style={{ fontSize: 20, marginBottom: 8 }}>1. No Tracking</Title>
                        <Paragraph style={{ fontSize: 16 }}>
                            We do <Text style={{ fontWeight: 'bold' }}>not</Text> collect or track any personal information. We do <Text style={{ fontWeight: 'bold' }}>not</Text> use analytics tools, cookies, or any third-party tracking services.
                        </Paragraph>
                    </Card.Content>
                </Card>

                <Card style={{ marginBottom: 16 }}>
                    <Card.Content>
                        <Title style={{ fontSize: 20, marginBottom: 8 }}>2. Ephemeral Data Storage</Title>
                        <Paragraph style={{ fontSize: 16 }}>
                            Any data entered or generated within the app is stored only <Text style={{ fontWeight: 'bold' }}>temporarily</Text> and exists only for the duration of your session. Once the app is closed or the session ends, all data is deleted automatically. We do not retain any user data on our servers or devices beyond the current session.
                        </Paragraph>
                    </Card.Content>
                </Card>

                <Card style={{ marginBottom: 16 }}>
                    <Card.Content>
                        <Title style={{ fontSize: 20, marginBottom: 8 }}>3. No Account or Registration Required</Title>
                        <Paragraph style={{ fontSize: 16 }}>
                            You are not required to create an account or provide any personal details (such as name, email address, or phone number) to use the app.
                        </Paragraph>
                    </Card.Content>
                </Card>

                <Card style={{ marginBottom: 16 }}>
                    <Card.Content>
                        <Title style={{ fontSize: 20, marginBottom: 8 }}>4. No Data Sharing</Title>
                        <Paragraph style={{ fontSize: 16 }}>
                            Since we do not collect data, we do not share any data with third parties.
                        </Paragraph>
                    </Card.Content>
                </Card>

                <Card style={{ marginBottom: 16 }}>
                    <Card.Content>
                        <Title style={{ fontSize: 20, marginBottom: 8 }}>5. Security</Title>
                        <Paragraph style={{ fontSize: 16 }}>
                            While we don’t store personal data, we still take standard precautions to secure ephemeral information during your use of the app.
                        </Paragraph>
                    </Card.Content>
                </Card>

                <Card style={{ marginBottom: 16 }}>
                    <Card.Content>
                        <Title style={{ fontSize: 20, marginBottom: 8 }}>6. Changes to This Privacy Policy</Title>
                        <Paragraph style={{ fontSize: 16 }}>
                            If we ever make changes to this policy, we will update the date at the top and clearly communicate the changes within the app. However, any future version will always respect your privacy.
                        </Paragraph>
                    </Card.Content>
                </Card>

                <Card>
                    <Card.Content>
                        <Title style={{ fontSize: 20, marginBottom: 8 }}>7. Contact</Title>
                        <Paragraph style={{ fontSize: 16 }}>
                            If you have any questions or concerns about this policy, feel free to contact us at <Text style={{ fontStyle: 'italic' }}>support@pogdark.com</Text>.
                        </Paragraph>
                    </Card.Content>
                </Card>
            </ScrollView>
        </Dialog.Content>
    );
};

export default Privacy;
